# HG changeset patch
# User Neil <nyamatongwe@gmail.com>
# Date 1522201797 -39600
#      Wed Mar 28 12:49:57 2018 +1100
# Node ID d983957decbeb8ca7ed9275b2b79f4a2093e2230
# Parent  6b2bf5d92842b39006c25d7ab7b5508e257cbae2
Add <string_view> header as may be needed by multiple in-progress changes.
Add <string> to CellBuffer.cxx, PlatCocoa.mm, and PlatWin.cxx, as std::string
was used in headers visible to these files.

diff -r 6b2bf5d92842 -r d983957decbe cocoa/PlatCocoa.mm
--- a/cocoa/PlatCocoa.mm	Wed Mar 28 12:49:18 2018 +1100
+++ b/cocoa/PlatCocoa.mm	Wed Mar 28 12:49:57 2018 +1100
@@ -19,6 +19,8 @@
 #include <cstdio>
 
 #include <stdexcept>
+#include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <memory>
diff -r 6b2bf5d92842 -r d983957decbe cocoa/ScintillaCocoa.h
--- a/cocoa/ScintillaCocoa.h	Wed Mar 28 12:49:18 2018 +1100
+++ b/cocoa/ScintillaCocoa.h	Wed Mar 28 12:49:57 2018 +1100
@@ -21,6 +21,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <memory>
diff -r 6b2bf5d92842 -r d983957decbe gtk/PlatGTK.cxx
--- a/gtk/PlatGTK.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/gtk/PlatGTK.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -10,6 +10,7 @@
 #include <cmath>
 
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <memory>
diff -r 6b2bf5d92842 -r d983957decbe gtk/ScintillaGTK.cxx
--- a/gtk/ScintillaGTK.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/gtk/ScintillaGTK.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -15,6 +15,7 @@
 #include <stdexcept>
 #include <new>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe gtk/ScintillaGTKAccessible.cxx
--- a/gtk/ScintillaGTKAccessible.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/gtk/ScintillaGTKAccessible.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -58,6 +58,7 @@
 #include <stdexcept>
 #include <new>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/AutoComplete.cxx
--- a/src/AutoComplete.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/AutoComplete.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -12,6 +12,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <algorithm>
 #include <memory>
diff -r 6b2bf5d92842 -r d983957decbe src/CallTip.cxx
--- a/src/CallTip.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/CallTip.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -11,6 +11,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <algorithm>
 #include <memory>
 
diff -r 6b2bf5d92842 -r d983957decbe src/CaseConvert.cxx
--- a/src/CaseConvert.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/CaseConvert.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -12,6 +12,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <algorithm>
 
diff -r 6b2bf5d92842 -r d983957decbe src/CellBuffer.cxx
--- a/src/CellBuffer.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/CellBuffer.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -13,6 +13,8 @@
 
 #include <stdexcept>
 #include <vector>
+#include <string>
+#include <string_view>
 #include <algorithm>
 #include <memory>
 
diff -r 6b2bf5d92842 -r d983957decbe src/Document.cxx
--- a/src/Document.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/Document.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -14,6 +14,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <forward_list>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/EditModel.cxx
--- a/src/EditModel.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/EditModel.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -13,6 +13,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/EditView.cxx
--- a/src/EditView.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/EditView.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -16,6 +16,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <forward_list>
diff -r 6b2bf5d92842 -r d983957decbe src/Editor.cxx
--- a/src/Editor.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/Editor.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -15,6 +15,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <forward_list>
diff -r 6b2bf5d92842 -r d983957decbe src/MarginView.cxx
--- a/src/MarginView.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/MarginView.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -16,6 +16,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/PositionCache.cxx
--- a/src/PositionCache.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/PositionCache.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -11,6 +11,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/RESearch.cxx
--- a/src/RESearch.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/RESearch.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -204,6 +204,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <algorithm>
 #include <iterator>
 
diff -r 6b2bf5d92842 -r d983957decbe src/ScintillaBase.cxx
--- a/src/ScintillaBase.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/ScintillaBase.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -12,6 +12,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe src/UniConversion.cxx
--- a/src/UniConversion.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/src/UniConversion.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -9,6 +9,7 @@
 
 #include <stdexcept>
 #include <string>
+#include <string_view>
 
 #include "UniConversion.h"
 
diff -r 6b2bf5d92842 -r d983957decbe test/unit/testUniConversion.cxx
--- a/test/unit/testUniConversion.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/test/unit/testUniConversion.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -3,6 +3,7 @@
 #include <cstring>
 
 #include <string>
+#include <string_view>
 #include <algorithm>
 
 #include "Platform.h"
diff -r 6b2bf5d92842 -r d983957decbe win32/HanjaDic.cxx
--- a/win32/HanjaDic.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/win32/HanjaDic.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -7,6 +7,7 @@
 // The License.txt file describes the conditions under which this software may be distributed.
 
 #include <string>
+#include <string_view>
 
 #include <windows.h>
 
diff -r 6b2bf5d92842 -r d983957decbe win32/PlatWin.cxx
--- a/win32/PlatWin.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/win32/PlatWin.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -15,6 +15,8 @@
 #include <cmath>
 #include <climits>
 
+#include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
diff -r 6b2bf5d92842 -r d983957decbe win32/ScintillaWin.cxx
--- a/win32/ScintillaWin.cxx	Wed Mar 28 12:49:18 2018 +1100
+++ b/win32/ScintillaWin.cxx	Wed Mar 28 12:49:57 2018 +1100
@@ -17,6 +17,7 @@
 #include <stdexcept>
 #include <new>
 #include <string>
+#include <string_view>
 #include <vector>
 #include <map>
 #include <algorithm>
